# -*- coding: utf-8 -*-
# Generated by Django 1.11.4 on 2017-10-10 08:08
from __future__ import unicode_literals

from django.db import migrations


def update_status(apps, schema_editor):
    """
    Update current Production Event type.
    """
    ProductionEvent = apps.get_model('production', 'ProductionEvent')
    for event in ProductionEvent.objects.all():
        if event.duration:
            event.event = 'registration'
        elif event.event == ['assigned_to_supervisor', 'officer_tasked_with_proof_production']:
            event.event = 'assignment'
        elif event.event in ['message_edadmin_to_supervisor', 'message_supervisor_to_edadmin', 'message_supervisor_to_officer', 'message_officer_to_supervisor']:
            event.event = 'message'
        else:
            event.event = 'status'
        event.save()
    return


def update_status_inverse(apps, schema_editor):
    """
    Inverse update current Production Event type. As this mapping is impossible to make,
    it'll just all be a unique status: `Event`
    """
    ProductionEvent = apps.get_model('production', 'ProductionEvent')
    for event in ProductionEvent.objects.all():
        event.event = 'Event'
    return


class Migration(migrations.Migration):

    dependencies = [
        ('finances', '0006_auto_20171010_1003'),
        ('production', '0031_auto_20171010_0921'),
    ]

    operations = [
        # Do not run this migration,
        #  the field is U/S anyway and in case it goes wrong we loose data here.

        # migrations.RunPython(update_status, update_status_inverse)
    ]
