# -*- coding: utf-8 -*-
# Generated by Django 1.10.3 on 2017-06-25 11:11
from __future__ import unicode_literals

from django.db import migrations, models


def set_report_counters(apps, schema_editor):
    Report = apps.get_model('submissions', 'Report')
    for report in Report.objects.order_by('date_submitted'):
        if not report.report_nr:
            report.report_nr = report.submission.reports.filter(report_nr__gte=1).count() + 1
        report.save()
    print('Updated all Report counters.')


def do_nothing(*args):
    pass


class Migration(migrations.Migration):

    dependencies = [
        ('submissions', '0045_auto_20170608_1710'),
    ]

    operations = [
        migrations.AddField(
            model_name='report',
            name='report_nr',
            field=models.PositiveSmallIntegerField(default=0),
        ),
        migrations.RunPython(set_report_counters, do_nothing)
    ]
