# -*- coding: utf-8 -*-
# Generated by Django 1.11.4 on 2017-10-20 08:54
from __future__ import unicode_literals

from django.db import migrations
from django.db.models import Q


def fill_pools(apps, schema_editor):
    Fellowship = apps.get_model('colleges', 'Fellowship')
    Submission = apps.get_model('submissions', 'Submission')
    for fellowship in Fellowship.objects.all():
        # Fellowship.objects.get_or_create(contributor=contributor)
        contributor = fellowship.contributor
        submissions = Submission.objects.exclude(authors=contributor).exclude(
            Q(author_list__icontains=contributor.user.last_name),
            ~Q(authors_false_claims=contributor))
        fellowship.pool.add(*submissions)


def return_empty(*args, **kwargs):
    return


class Migration(migrations.Migration):

    dependencies = [
        ('colleges', '0002_auto_20171020_0931'),
        ('submissions', '0077_auto_20171020_0900'),
    ]

    operations = [
        migrations.RunPython(fill_pools, return_empty),
    ]
